/**
 * 
 */
package jp.ac.kyutech.ai.ylab.shiva.nativecapable.plugin.exportwizard;

import org.eclipse.jface.fieldassist.IContentProposal;

class ContentProposal implements IContentProposal {

	private String content;
	private int position;
	private String description;
	private String label;

	public ContentProposal(String content, int position, String description,
			String label) {
		this.content = content;
		this.position = position;
		this.description = description;
		this.label = label;
	}

	@Override
	public String getContent() {
		return content;
	}

	@Override
	public int getCursorPosition() {
		return position;
	}

	@Override
	public String getDescription() {
		return description;
	}

	@Override
	public String getLabel() {
		return label;
	}
}